org.cybergarage.upnp

## Class AllowedValueRange

- java.lang.Object
- - org.cybergarage.upnp.AllowedValueRange

-     public class AllowedValueRange
      extends Object

  Represents an allowed value range constraint for UPnP state variables.

  This class encapsulates allowed value range definitions from UPnP service descriptions. It provides XML node management for state variables that have numeric ranges defined as allowed value constraints.

  Key features:

  - XML node wrapping for value ranges
  - Element name constant for XML parsing
  - Service description integration
  - State variable constraint management
  - UPnP specification compliance

  This class is used by UPnP services to manage allowed value range constraints for state variables, enabling proper validation and description generation for numeric variables with restricted ranges.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME` XML element name for allowed value range in UPnP descriptions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllowedValueRange()` Creates an empty AllowedValueRange with a new node structure.
    `AllowedValueRange(Node node)` Creates an AllowedValueRange from an XML node.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getAllowedValueRangeNode()`
    `String` | `getMaximum()` Gets the maximum value for this allowed value range.
    `String` | `getMinimum()` Gets the minimum value for this allowed value range.
    `String` | `getStep()` Gets the step value for this allowed value range.
    `static boolean` | `isAllowedValueRangeNode(Node node)` Checks if the given node is an allowedValueRange element.
    `void` | `setMaximum(String value)` Sets the maximum value for this allowed value range.
    `void` | `setMinimum(String value)` Sets the minimum value for this allowed value range.
    `void` | `setStep(String value)` Sets the step value for this allowed value range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      XML element name for allowed value range in UPnP descriptions.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AllowedValueRange

          public AllowedValueRange()

      Creates an empty AllowedValueRange with a new node structure.

    - #### AllowedValueRange

          public AllowedValueRange(Node node)

      Creates an AllowedValueRange from an XML node.
      Parameters:
        `node` - the XML node containing the allowed value range data

  - ### Method Detail

    - #### getAllowedValueRangeNode

          public Node getAllowedValueRangeNode()

    - #### getMaximum

          public String getMaximum()

      Gets the maximum value for this allowed value range.
      Returns:
        the maximum value as a string

    - #### getMinimum

          public String getMinimum()

      Gets the minimum value for this allowed value range.
      Returns:
        the minimum value as a string

    - #### getStep

          public String getStep()

      Gets the step value for this allowed value range.
      Returns:
        the step value as a string

    - #### isAllowedValueRangeNode

          public static boolean isAllowedValueRangeNode(Node node)

      Checks if the given node is an allowedValueRange element.
      Parameters:
        `node` - the XML node to check
      Returns:
        true if the node is an allowedValueRange element

    - #### setMaximum

          public void setMaximum(String value)

      Sets the maximum value for this allowed value range.
      Parameters:
        `value` - the maximum value string to set

    - #### setMinimum

          public void setMinimum(String value)

      Sets the minimum value for this allowed value range.
      Parameters:
        `value` - the minimum value string to set

    - #### setStep

          public void setStep(String value)

      Sets the step value for this allowed value range.
      Parameters:
        `value` - the step value string to set